$themeRed: #e72324;
$themeInfo: rgb(51, 53, 78);
$theme-support-gray: #34364c;
$theme-support-min-gray: #999999;
$theme-green: #41a041;
$font-main-color: #333333;
$font-min-color: #666666;
$font-small-color: #cccccc;
$font-title-size: 24px;
$font-min-title-size: 16px;
$font-main-size: 14px;
$background-image: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%);
.theme-color {
  color: #e72324 !important;
}

.theme-block{
  font-weight: 600;
}

.theme-background-color {
  background: #e72324 !important;
}

.theme-headline {
  font-size: 24px;
  line-height: 1.5;
  color: #333333;
}

.theme-min-headline {
  font-size: 20px;
  line-height: 1.5;
  font-weight: 600;
  color: #333333;
}

.theme-small-headline {
  font-size: 16px;
  line-height: 1.5;
  font-weight: 600;
  color: #666666;
}

.theme-content {
  font-size: 14px;
  line-height: 1.5;
}

.project-block {
  width: 80px;
  height: 30px;
  background: #e72324 !important;
  margin: 0 auto;
}

.el-divider {
  background: #e72324 !important;
}

.el-divider__text {
  font-size: 16px;
  line-height: 1.5;
  font-weight: 600;
  color: #666666;
}

.el-divider--horizontal {
  height: 2px;
  margin: 40px 0;
}

.el-button--danger {
  background-color: #e72324;
  border-color: #f56c6c;
}

.el-button--info {
  background-color: #34394c;
  border-color: rgb(42, 46, 61);
}

.el-button--info:hover {
  background-color: rgb(66, 70, 83);
  border-color: rgb(43, 46, 58);
}

// custom
.theme-red-button {
  &.small {
    padding: 8px 20px;
  }
  font-size: 16px;
  line-height: 1.5;
  font-weight: 600;
  background-color: $themeRed;
  color: rgba(white, 0.8);
  transition: all 0.3s ease;
  &:hover,
  &:focus {
    background-color: $themeRed;
    color: white;
  }
}

.theme-info-button {
  &.small {
    padding: 8px 20px;
  }
  &.m-l-0 {
    margin-left: 0px !important;
  }
  font-size: 16px;
  line-height: 1.5;
  font-weight: 600;
  background-color: $themeInfo;
  color: rgba(white, 0.8);
  transition: all 0.3 ease;
  &:hover,
  &:focus {
    background-color: $themeInfo;
    color: white;
  }
}

.theme-info-link {
  &.small {
    font-size: 14px;
    line-height: 1.5;
    font-weight: 600;
  }
  span {
    color: $font-min-color !important;
  }
  &:hover {
    color: $font-min-color !important;
    span {
      color: $font-min-color !important;
    }
    &:after {
      border-color: $font-min-color !important;
    }
  }
}

@for $i from 1 through 20 {
  .m-t-#{$i * 5} {
    margin-top: 5px * $i;
  }
  .m-r#{$i * 5} {
    margin-right: 5px * $i;
  }
  .m-l-#{$i * 5} {
    margin-left: 5px * $i;
  }
  .m-b-#{$i * 5} {
    margin-bottom: 5px * $i;
  }
}

@for $i from 1 through 20 {
  .p-t-#{$i * 5} {
    margin-top: 5px * $i;
  }
  .p-r#{$i * 5} {
    margin-right: 5px * $i;
  }
  .p-l-#{$i * 5} {
    margin-left: 5px * $i;
  }
  .p-b-#{$i * 5} {
    margin-bottom: 5px * $i;
  }
}
